> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Export dropbox sandbox data

> Export all data from the sandbox in the same format used for initialization.



## OpenAPI

````yaml get /sandbox/dropbox/{sandbox_id}/dump
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /sandbox/dropbox/{sandbox_id}/dump:
    get:
      tags:
        - sandbox
      summary: Export dropbox sandbox data
      description: >-
        Export all data from the sandbox in the same format used for
        initialization.
      operationId: dump_sandbox_sandbox_dropbox__sandbox_id__dump_get
      parameters:
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The unique sandbox identifier
            title: Sandbox Id
          description: The unique sandbox identifier
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DumpSandboxResponse_DropboxData_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DumpSandboxResponse_DropboxData_:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
          description: Sandbox identifier
        server_name:
          $ref: '#/components/schemas/SandboxMCPServer'
          description: MCP server type
        dumped_at:
          type: string
          format: date-time
          title: Dumped At
          description: Timestamp of dump
        data:
          $ref: '#/components/schemas/DropboxData'
          description: Dumped sandbox data in server-specific format
      type: object
      required:
        - sandbox_id
        - server_name
        - dumped_at
        - data
      title: DumpSandboxResponse[DropboxData]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SandboxMCPServer:
      type: string
      enum:
        - jira
        - github
        - salesforce
        - hubspot
        - notion
        - airtable
        - linear
        - asana
        - google_sheets
        - google_drive
        - google_docs
        - gmail
        - google_calendar
        - google_forms
        - clickup
        - close
        - monday
        - motion
        - onedrive
        - microsoft_teams
        - outlook_mail
        - cal.com
        - quickbooks
        - moneybird
        - dropbox
        - shopify
        - woocommerce
        - outlook_calendar
        - resend
        - wordpress
        - mem0
        - supabase
        - slack
        - confluence
        - discord
        - snowflake
        - postgres
        - mongodb
        - youtube
        - googleworkspaceatlas
        - huggingface
        - mock_notion
        - arxiv_latex
        - calculator
        - clinicaltrialsgov
        - fetch
        - met_museum
        - open_library
        - osm
        - pubmed
        - us_weather
        - duckduckgo
        - whois
        - wikipedia
        - scholarly
        - howtocook
        - yahoo_finance
        - '12306'
        - youtube_transcript
        - weather
        - twelvedata
        - national_parks
        - lara_translate
        - e2b
        - context7
        - alchemy
        - weights_and_biases
        - oxylabs
        - google_maps
        - brave_search
        - exa
        - serper
      title: SandboxMCPServer
      description: Supported MCP servers for sandboxing
    DropboxData:
      properties:
        folders:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Folders
          description: >-
            List of folder paths to create (e.g., ['/SandboxTest',
            '/SandboxTest/Documents'])
        files:
          anyOf:
            - items:
                $ref: '#/components/schemas/DropboxFile'
              type: array
            - type: 'null'
          title: Files
          description: List of files to create with their content
      type: object
      title: DropboxData
      description: >-
        Complete Dropbox sandbox data structure


        Describes the folder and file structure to be created in the sandbox.

        Folders are created in the order specified, and files are uploaded after

        all folders have been created.


        Note: The root folder /SandboxTest is always created first
        automatically.

        Additional folders should be nested within /SandboxTest.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DropboxFile:
      properties:
        path:
          type: string
          minLength: 1
          title: Path
          description: Full path to the file (must start with /SandboxTest/)
        content:
          type: string
          title: Content
          description: Text content of the file
      type: object
      required:
        - path
        - content
      title: DropboxFile
      description: |-
        Dropbox file data

        Attributes:
            path: Full path to the file (e.g., "/SandboxTest/document.txt")
            content: Text content of the file
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````